Bug 141562 - traceback when selecting ieee1394 device in hal-device-manager
traceback when selecting ieee1394 device in hal-device-manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 21:41 EST by Jeff Cheng
Modified: 2013-03-05 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-03 14:25:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hal-device-manager screenshot with ieee1394 device (83.14 KB, image/png)
2004-12-01 21:55 EST, Jeff Cheng
no flags Details

  None (edit)
Description Jeff Cheng 2004-12-01 21:42:58 EST
TREE: FC3 (kernel-2.6.9-1.681_FC3)
ARCH: x86
PACKAGES: hal-0.4.2-1.FC3, hal-gnome-0.4.2-1.FC3

Description of problem:
When selecting a ieee1394 device (I have a ieee1394 dvd burner) in
hal-device-manager, I get the following traceback:
Traceback (most recent call last):
  File "/usr/share/hal/device-manager/DeviceManager.py", line 125, in
on_device_tree_selection_changed
    self.update_device_notebook(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 481, in
update_device_notebook
    self.update_tab_device(device)
  File "/usr/share/hal/device-manager/DeviceManager.py", line 302, in
update_tab_device
    bus.set_label(Const.BUS_NAMES[device.properties["info.bus"]])
KeyError: 'ieee1394'

How reproducible:
always

Steps to Reproduce:
1. Boot FC3 with a ieee1394 device plugged in
2. Start hal-device-manager
3. Select the device in the tree
Comment 1 Jeff Cheng 2004-12-01 21:55:24 EST
Created attachment 107751 [details]
hal-device-manager screenshot with ieee1394 device
Comment 2 David Zeuthen 2005-01-03 14:25:47 EST
As stated by upstream on a few occasions, hal-device-manager is only a
development tool and thus not of production quality hence, why it's
not installed by default. In a future release of Fedora Core there
will be a much better UI for visualising and managing hardware.

Note You need to log in before you can comment on or make changes to this bug.